/*========================*
*       CONFIG
*=========================*/
@import 'fonts';

/* ==== COLORS ==== */

// * MainColors
$$deepgreen      = #27353c;
$$darkgreen      = #1e292f;
$$darkgreen-text = #6b848c;
$$grey           = #d4d7d8;
$$grey-text      = #8198a0;
$$deepgrey       = #7b7b7b;
$$orange         = #ff8207;
$$null           = #0000;

// * Material
$$red            = #f44336;
// $$pink        = #e91e63;
// $$purple      = #9c27b0;
// $$deeppurple  = #673ab7;
$$indigo         = #3f51b5;
// $$blue        = #2196f3;
// $$lightblue   = #03a9f4;
$$cyan           = #00bcd4;
// $$teal        = #009688;
$$green          = #4caf50;
// $$lightgreen  = #8bc34a;
// $$lime        = #cddc39;
// $$yellow      = #ffeb3b;
// $$amber       = #ffc107;
// $$orange      = #ff9800;
// $$deeporange  = #ff5722;
// $$brown       = #795548;
// $$grey        = #9e9e9e;
// $$bluegrey    = #607d8b;
$$black          = #000000;
$$white          = #ffffff;
/* ==== ----- ==== */

/* ==== BLOCK-CLASS-STRUCTURE ==== */
__() {
	+prefix-classes('&'+ '__') {
		{block}
	}
}
_() {
	+prefix-classes('&' + '_') {
		{block}
	}
}
pref() {
	+prefix-classes('&' + '-') {
		{block}
	}
}

bord(n) { 
	n = n px
	border-radius: n n n n;
}

 

glyph(n) {
		@extend {n}
}

// glyph(n) {
// 	&::before {
// 		@extend {n}
// 	}
// }

media(n) {
	@media (max-width: n + .98px) {
		{block}
	}
}

/* ==== ---- ==== */

/* ==== TRANSITION ==== */
_cubic = cubic-bezier(0.4, 0.0, 0.2, 1);
/* ==== ----- ==== */

/* ==== SHADOW ==== */
_shadow = 0 2px 2px 0 rgba(0,0,0,0.16), 0 0 0 1px rgba(0,0,0,0.08);
/* ==== ----- ==== */



/* ==== SETTINGS ==== */
// * Body 
__bodyFont = fregular
__bodyWeight = 400
__bodySize = 16px
__bodyColor = $$black
__bodySpacing = normal
__bodyLine = 141%
// * Header
__headerFont = fregular
__headerSize = 1rem
__headerColor = $$black
__headerSpacing = normal
__headerLine = 141%
// * Paragraph
__paragraphFont = fregular
__paragraphSize = 0.88rem
__paragraphColor = $$black
__paragraphSpacing = .06em
// * Href
__hrefUnderline-true = underline;
__hrefUnderline-false = none;

__hrefFont = fregular
__hrefSize = 0.88rem
__hrefColor = $$black;
__hrefSpacing = 0.06em
__hrefUnderline = __hrefUnderline-false

/* ==== ----- ==== */

/* ==== BODY ==== */
html, body {
	font-family __bodyFont
	font-size __bodySize
	font-weight __bodyWeight
}
/* ==== ----- ==== */

/* ==== H1 - H6 ==== */
for i in 1..6 {
	h{i} {
		font-family: __headerFont;
		letter-spacing: __headerSpacing;
		color: __headerColor;
		line-height: __headerLine;
		margin unset
	}
}
h1
	font-size __headerSize + 1.5 
h2
	font-size __headerSize + 1.0 
h3
	font-size __headerSize + 0.5 
h4
	font-size __headerSize + 0.1
h5
	font-size __headerSize - 0.1 
h6
	font-size __headerSize - 0.3 
/* ==== ----- ==== */

/* ==== Paragraph ==== */
p {
	font-family __paragraphFont;
	font-size __paragraphSize;
	color: __paragraphColor;
	letter-spacing __paragraphSpacing
	// margin-bottom unset
}
/* ==== ----- ==== */

/* ==== HREF ==== */
a, a:hover {
	// font-family __hrefFont;
	// font-size __hrefSize;
	// color: __hrefColor;
	letter-spacing __hrefSpacing; 
	text-decoration: __hrefUnderline;
	transition all .25s _cubic
	user-select none
}
a:hover {
	// color: darken($$black, 30%);
}
/* ==== UL ==== */
ul {
	// padding-left 0
	// list-style: none;
	// margin-bottom 0
}
li {
	// display: flex;
	// align-items: center;
	// letter-spacing .55px
}
/* ==== ----- ==== */
/* ==== LABEL ==== */
label {
	// display flex
	// letter-spacing .50px
	// user-select none
	& span {
		// user-select none
	}
}
/* ==== ----- ==== */
section {
	position: relative;
	overflow: hidden;
}
nav {
	// display: grid;
	font-style: normal;
}
address {
	// display: grid;
	font-style: normal;
}
span {
	
}

*:focus {
	outline 0
}

button {
	user-select none
}

select {
	// cursor pointer
}

.ttu {
	text-transform: uppercase
}

* {
	box-sizing: border-box;
}

[class*="glyphs__"] {
	font-size 0 !important
	display: flex;
	display: flex;
	align-items: center;
	justify-content: center;
	width: auto;
	height: 100%;
	margin auto
	&:before {
		-moz-osx-font-smoothing: grayscale;
		-webkit-font-smoothing: antialiased;
		display: flex;
		content ''
		font-family fglyph
		font-size: 1rem;
		font-style: normal;
		font-variant: normal;
		font-weight: normal;
		height: auto;
		line-height: 1;
		position: relative;
		text-align: center;
		text-decoration: none;
		text-transform: none;
		width: auto;
	}
}


/* ==== SPACE ==== */
.space {
	&500, &250 {
		margin: auto;
		position: relative
		text-align: center;
		height: 500px;
		background-color: #eee;
		border: 1px solid #bbb;
		border-right: 0;
		border-left: 0
		&:before {
			color: #aaa;
			content: 'SPACE-500';
			display: flex;
			font-size: 5rem;
			line-height: 1;
			justify-content: center;
			align-items: center;
			width: 100%;
			height: 100%;
		}
	}
	&250 {
		height 250px
		&:before {
			content: 'SPACE-250'
		}
	}
}

